MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024347Community[OCCT] OCCT:Modeling Algorithmspublic2013-11-12 08:372014-09-11 11:48
ReporterHayashi 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024347: problem by tolerance of the distance of Face and Vertex
DescriptionIf tolerance of attached Face is 4.e-6 or more, the distance of Boundary and Vertex will be returned.
Steps To Reproducepload ALL
restore face.brep f
vertex v 34.265509314637 0.1 0.73361964922719

settolerance f 3.e-6
distmini d1 f v
#the distance value is : 2.92687e-014

settolerance f 4.e-6
distmini d1 f v
#the distance value is : 0.0165367

TagsNo tags attached.
Test case numberbugs modalg_5 bug24347
Attached Files? file icon face.brep (8,973 bytes) 2013-11-12 08:37

- Relationships

-  Notes
(0029025)
Hayashi (reporter)
2014-04-23 04:28

It seems that this issue is solved by OCC6.7.1 beta.

The result:

--OCC6.6.0
Draw[9]> settolerance f 4.e-6
Setting Tolerance to 3.9999999999999998e-006
Draw[10]> distmini d1 f v
d1_val d1
Draw[11]> dump d1_val
*********** Dump of d1_val *************
0.0165367029537048

--OCC6.7.0
Draw[9]> settolerance f 4.e-6
Setting Tolerance to 3.9999999999999998e-006
Draw[10]> distmini d1 f v
d1_val d1
Draw[11]> dump d1_val
*********** Dump of d1_val *************
0.0165367029537048

--OCC6.7.1beta
Draw[9]> settolerance f 4.e-6
Setting Tolerance to 3.9999999999999998e-006
Draw[10]> distmini d1 f v
d1_val d1
Draw[11]> dump d1_val
*********** Dump of d1_val *************
2.72742879238428e-014
(0029084)
abv (manager)
2014-04-25 19:35

Please add a test case and close the issue if it is Ok
(0029100)
apn (administrator)
2014-04-28 15:25

Branch CR24347 was created.
Testing case:
bugs modalg_5 bug24347 - OK

- Related Changesets
occt: master 21761b6f
Timestamp: 2014-04-28 11:24:34
Author: abv
Committer: abv
Details ] Diff ]
0024347: problem by tolerance of the distance of Face and Vertex

Added test case bugs/modalg_5/bug24347
add - tests/bugs/modalg_5/bug24347 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-11-12 08:37 Hayashi New Issue
2013-11-12 08:37 Hayashi Assigned To => ifv
2013-11-12 08:37 Hayashi File Added: face.brep
2014-04-23 04:28 Hayashi Note Added: 0029025
2014-04-23 08:32 abv Target Version => 6.7.1
2014-04-25 19:35 abv Note Added: 0029084
2014-04-25 19:35 abv Assigned To ifv => mkv
2014-04-25 19:35 abv Status new => feedback
2014-04-28 12:02 bugmaster Assigned To mkv => apn
2014-04-28 15:25 apn Note Added: 0029100
2014-04-28 15:25 apn Test case number => bugs modalg_5 bug24347
2014-04-28 15:25 apn Assigned To apn => bugmaster
2014-04-28 15:25 apn Status feedback => tested
2014-05-05 17:24 abv Changeset attached => occt master 21761b6f
2014-05-05 17:24 abv Assigned To bugmaster => abv
2014-05-05 17:24 abv Status tested => verified
2014-05-05 17:24 abv Resolution open => fixed
2014-09-11 11:48 bugmaster Status verified => closed
2014-09-11 11:48 bugmaster Fixed in Version => 6.7.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker